# http://www.appveyor.com/docs/appveyor-yml

# Fix line endings in Windows. (runs before repo cloning)
init:
  - git config --global core.autocrlf true

# Test against these versions of Node.js.
environment:
  matrix:
    - nodejs_version: "0.10"
    - nodejs_version: "0.12"
    - nodejs_version: "4.2"
    - nodejs_version: "6.2"

matrix:
  allow_failures:
    - nodejs_version: 0.10
    - nodejs_version: 0.12

# Install scripts. (runs after repo cloning)
install:
  - git rev-parse HEAD
  # Get the latest stable version of Node 0.STABLE.latest
  - ps: Install-Product node $env:nodejs_version
  # Typical npm stuff.
  - md C:\nc
  - npm config set cache C:\nc
  - npm version
  - npm install

# Post-install test scripts.
test_script:
  # Output useful info for debugging.
  - npm version
  - cmd: npm test

# Don't actually build.
build: off

# Set build version format here instead of in the admin panel.
version: "{build}"
